<ion-header>
  <ion-toolbar color="light">
    <ion-buttons slot="start">
      <ion-button (click)="back()"><ion-icon name="md-arrow-back"></ion-icon></ion-button>
    </ion-buttons>
    <ion-title>{{method.name}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="form">
      <ion-list *ngIf="isCheque">
          <ion-item>
            <ion-label color="medium">
              Bank
            </ion-label>
            <ion-input type="text" formControlName="BankCode"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label color="medium">
              Due Date
            </ion-label>
            <ion-datetime mode="ios" min="2020" max="2030" formControlName="DueDate"></ion-datetime>
          </ion-item>
          <ion-item>
            <ion-label color="medium">
              Is Post Dated
            </ion-label>
            <ion-toggle mode="ios" min="2020" max="2030" formControlName="IsPostDated"></ion-toggle>
          </ion-item>
          <ion-item>
            <ion-label color="medium">
              Check Number
            </ion-label>
            <ion-input type="number" formControlName="CheckNo"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label color="medium">
              Amount
            </ion-label>
            <ion-input type="number" formControlName="Amount"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label color="medium">
              Remarks
            </ion-label>
            <ion-textarea rows="5" formControlName="Remarks"></ion-textarea>
          </ion-item>
        </ion-list>
      
        <ion-list hidden>
          <ion-item>
            <ion-label color="medium">
              Card Name
            </ion-label>
            <ion-input type="text"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label color="medium">
              Card Number
            </ion-label>
            <ion-input type="number"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label color="medium">
              Ref Number
            </ion-label>
            <ion-input type="text"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label color="medium">
              Amount
            </ion-label>
            <ion-input type="number"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label color="medium">
              Remarks
            </ion-label>
            <ion-textarea rows="5"></ion-textarea>
          </ion-item>
        </ion-list>
      
        <ion-list *ngIf="isBankTransfer">
          <ion-item>
            <ion-label color="medium">
              Bank
            </ion-label>
            <ion-input type="text" formControlName="BankCode"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label color="medium">
              Transfer Date
            </ion-label>
            <ion-datetime mode="ios" min="2020" max="2030" formControlName="TransferDate"></ion-datetime>
          </ion-item>
          <ion-item>
            <ion-label color="medium">
              Ref Number
            </ion-label>
            <ion-input type="text" formControlName="ReferenceNo"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label color="medium">
              Amount
            </ion-label>
            <ion-input type="number" formControlName="Amount"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label color="medium">
              Remarks
            </ion-label>
            <ion-textarea rows="5" formControlName="Remarks"></ion-textarea>
          </ion-item>
        </ion-list>
  </form>
</ion-content>

<ion-footer class="form">
  <ion-button shape="round" mode="ios" (click)="save()" [disabled]="!form.valid">Add</ion-button>
</ion-footer>